<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Addonis</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" th:href="@{~/plugins/bootstrap/bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{~/plugins/themefisher-fonts/themefisher-fonts.css}">
    <link rel="stylesheet" th:href="@{~/plugins/magnific-popup/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{~/plugins/animate/animate.css}">
    <link rel="stylesheet" th:href="@{~/plugins/slick/slick.css}">
    <link rel="stylesheet" th:href="@{~/css/style.css}"/>
    <link rel="stylesheet" href="css2/index.css"/>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="plugins/modernizr.min.js"></script>
</head>

<body>
<div class="loading">
    <div class="windows8 loading-position">
        <div class="wBall" id="wBall_1">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_2">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_3">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_4">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_5">
            <div class="wInnerBall"></div>
        </div>
    </div>
</div>

<nav class="navbar navbar-fixed-top navigation">
    <div class="container">
        <div class="navbar-header">
            <div>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a th:href="@{/}" class="navbar-brand logo" href="index.html" style="background:linear-gradient(45deg,#E8ED84,#EE9D43,#EBD56F);
                -webkit-background-clip: text;-webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent; font-weight: bold; font-size: 26px;
        text-align: center!important; vertical-align: middle!important;">
                    <div style="padding-top: 7px; font-family: Georgia, cursive">
                        <img src="/images/puzzle.png" style="height: 45px; width:45px" alt="logo"/>ADDONIS m3mbers
                    </div>
                </a>
            </div>
        </div>
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right menu">
                <li><a th:href="@{/addons}" href="addons-list.html">Marketplace</a></li>
                <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                    Sign Up</a></li>
                <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                    Login</a></li>
                <li><a th:href="@{'/users/'+${user.username}}" href="profile.html" sec:authorize="isAuthenticated()">
                    Profile</a></li>
                <li>
                <li><a th:href="@{/admin}" href="admin.html" sec:authorize="hasRole('ADMIN')">
                    Admin</a></li>
                <li>
                    <form id="myform"
                          style="cursor: pointer; vertical-align: middle!important; padding: 15px!important;"
                          th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                        <a onclick="document.getElementById('myform').submit()"
                           style="color:papayawhip;text-decoration:none"> Logout</a>
                    </form>
                </li>
            </ul>
        </div>
    </div>
</nav>

<section class="page-header services-header" data-parallax="scroll"
         data-image-src="images/slider/bg-1.jpg">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1 class="text-center"> Our Addons. <br> You will find what you need.</h1>
            </div>
        </div>
    </div>
</section>

<section class="services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="title text-center">
                    <h2>Featured</h2>
                    <a onMouseOver="this.style.color='#f9f2e9'; this.style.textDecoration='underline';"
                       onMouseOut="this.style.color='#deb887'; this.style.textDecoration='none';"
                       style="color:burlywood; float: right; cursor: pointer;"
                       th:href="@{/addons}" href="addons-list.html">See More</a>
                </div>
            </div>
            <div th:each="addon : ${featuredAddons}" class="col-md-3">
                <div class="service-item text-center">
                    <div class="services-icon">
                        <i class="tf-mobile"></i>
                    </div>
                    <h4 th:text="${addon.name}" class="service-title"></h4>
                    <br/>
                    <table style="width: 75%; margin: auto;" class="service-description">
                        <tr class="service-description">
                            <th class="service-description">Creator:</th>
                            <td th:text="${addon.creator.username}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">IDE:</th>
                            <td th:text="${addon.getIde().getIDEName()}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">Downloads:</th>
                            <td th:text="${addon.downloads}" class="service-description">Downloads</td>
                        </tr>

                        <tr class="service-description">
                            <th class="date">Uploaded:</th>
                            <td th:text="${addon.uploadDate}" class="service-description">Upload</td>
                        </tr>
                    </table>
                    <br/>
                    <a th:href="@{'/addon/'+${addon.addonId}}"
                       class="btn btn-default btn-main th-btn-border service-description">More Info</a>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="title text-center">
                    <h2>Popular</h2>
                    <a onMouseOver="this.style.color='#f9f2e9'; this.style.textDecoration='underline';"
                       onMouseOut="this.style.color='#deb887'; this.style.textDecoration='none';"
                       style="color:burlywood; float: right; cursor: pointer;"
                       th:href="@{/addons}" href="addons-list.html">See More</a>
                </div>
            </div>
            <div th:each="addon : ${popularAddons}" class="col-md-3">
                <div style="justify-content: center!important;" class="service-item text-center">
                    <div class="services-icon">
                        <i class="tf-mobile"></i>
                    </div>
                    <h4 th:text="${addon.name}" class="service-title"></h4>
                    <br/>
                    <table style="width: 75%; margin: auto;" class="service-description">
                        <tr class="service-description">
                            <th class="service-description">Creator:</th>
                            <td th:text="${addon.creator.username}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">IDE:</th>
                            <td th:text="${addon.getIde().getIDEName()}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">Downloads:</th>
                            <td th:text="${addon.downloads}" class="service-description">Downloads</td>
                        </tr>
                        <tr class="service-description">
                            <th class="service-description">Uploaded:</th>
                            <td th:text="${addon.uploadDate}" class="service-description">Upload</td>
                        </tr>
                    </table>
                    <br/>
                    <a th:href="@{'/addon/'+${addon.addonId}}"
                       class="btn btn-default btn-main th-btn-border service-description">More Info</a>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="title text-center">
                    <h2>New</h2>
                    <a onMouseOver="this.style.color='#f9f2e9'; this.style.textDecoration='underline';"
                       onMouseOut="this.style.color='#deb887'; this.style.textDecoration='none';"
                       style="color:burlywood; float: right; cursor: pointer;"
                       th:href="@{/addons}" href="addons-list.html">See More</a>
                </div>
            </div>
            <div th:each="addon : ${newestAddons}" class="col-md-4">
                <div class="service-item text-center">
                    <div class="services-icon">
                        <i class="tf-mobile"></i>
                    </div>
                    <h4 th:text="${addon.name}" class="service-title"></h4>
                    <br/>
                    <table style="width: 75%; margin: auto;" class="service-description">
                        <tr class="service-description">
                            <th class="service-description">Creator:</th>
                            <td th:text="${addon.creator.username}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">IDE:</th>
                            <td th:text="${addon.getIde().getIDEName()}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">Downloads:</th>
                            <td th:text="${addon.downloads}" class="service-description">Downloads</td>
                        </tr>
                        <tr class="service-description">
                            <th class="service-description">Uploaded:</th>
                            <td th:text="${addon.uploadDate}" class="service-description">Upload</td>
                        </tr>
                    </table>
                    <br/>
                    <a th:href="@{'/addon/'+${addon.addonId}}"
                       class="btn btn-default btn-main th-btn-border service-description">
                        More Info</a>
                </div>
            </div>
        </div>
    </div>
</section>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="container">
                <div class="footer-nav text-center">
                    <div class="col-md-12">
                        <ul>
                            <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                                Sign Up</a></li>
                            <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                                Login</a></li>
                            <li><a th:href="@{'/users/'+${user.username}}" href="profile.html"
                                   sec:authorize="isAuthenticated()">Profile</a></li>
                            <li>
                                <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                    <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                                </form>
                        </ul>
                    </div>
                </div>
                <div class="text-center">
                    <div class="col-md-12">
                        <div class="copyright">
                            <p>&copy; 2020 All rights reserved. <br>
                                Design and Developed By Addonis M3mbers</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>

<script src="/plugins/jquery.min.js"></script>
<script src="/plugins/bootstrap/bootstrap.min.js"></script>
<script src="/plugins/slick/slick.min.js"></script>
<script src="/plugins/filterizr/jquery.filterizr.min.js"></script>
<script src="/plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="/plugins/parallax.min.js"></script>
<script src="/plugins/jquery.vide.js"></script>
<script src="/js/script.js"></script>
</body>
</html>



  